#407 No internet => No xMaxima

closed
nobody
5
2009-06-22
2003-09-30
Anonymous
No

The windows compiled version of xMaxima refuses to
work if a connection to internet is not available and
working. A message saying "Error starting Maxima: Could
not open a socket" is issued.
After that the window xMaxima keeps mute, no prompt,
no echo, nothing...

If we have no Internet connection how can we keep
working with Maxima through the xMaxima interface?

Discussion

  • Logged In: YES
    user_id=588346

    An active Internet connection is not required by xMaxima.
    However, you must have sockets installed, working, and
    enabled, because Maxima uses them for interprocess
    communication. Firewall software may be closing off sockets,
    for example.

     
  • Logged In: YES
    user_id=778327

    Some of my students have reported this problem to me, too,
    although everything on my laptop (WinXP Home Edition) works
    fine - even without internet connection.

    The only significant difference to their machines, I can
    think of, is that I once activated XP's compatibility mode
    for older programs (sorry, I don't know the exact words
    since I am running XP in german - do search for
    "compatibility" in the help menu and reinstall maxima with it).

    Just one possibility.

    Regards,

    Uli.

     
  • Robert Dodier
    Robert Dodier
    2006-07-10

    • milestone: 225535 -->
    • summary: No internet => No xMaxima --> No internet => No xMaxima
     
  • Robert Dodier
    Robert Dodier
    2006-07-10

    Logged In: YES
    user_id=501686

    I wonder just how much network stuff needs to be active in
    order to enable the Maxima <--> Xmaxima connection. It seems
    like just having the network stuff running with the loopback
    address (127.0.0.1) should be enough. Should be possible to
    test by shutting down any other interfaces and then trying
    to launch Xmaxima.

     
  • Logged In: NO

    Linux home 2.6.22.7-57.fc6 #1 SMP Fri Sep 21 19:26:56 EDT 2007 i686 athlon i386 GNU/Linux
    RedHat Fedore 7 last update 7 october 2007

    If internet on then wxMaxima normal start and solve expression.
    Without internet wxMaxima notify "Not connected to maxima!".
    Console application maxima normal start and notmal solve without internet.

    If I right undestand wxMaxima need loopback 127.0.0.1
    I'll send mail to fedore support about loopback.

    I hope, that developers wxMaxima make notify that wxMaxima need loopback if it seems.

     
  • Logged In: NO

    Linux home 2.6.22.7-57.fc6 #1 SMP Fri Sep 21 19:26:56 EDT 2007 i686 athlon i386 GNU/Linux
    RedHat Fedore 7 last update 7 october 2007

    If internet on then wxMaxima normal start and solve expression.
    Without internet wxMaxima notify "Not connected to maxima!".
    Console application maxima normal start and notmal solve without internet.

    If I right undestand wxMaxima need loopback 127.0.0.1
    I'll send mail to fedore support about loopback.

    I hope, that developers wxMaxima make notify that wxMaxima need loopback if it seems.

     
  • Logged In: NO

    Linux home 2.6.22.7-57.fc6 #1 SMP Fri Sep 21 19:26:56 EDT 2007 i686 athlon i386 GNU/Linux
    RedHat Fedore 7 last update 7 october 2007

    If internet on then wxMaxima normal start and solve expression.
    Without internet wxMaxima notify "Not connected to maxima!".
    Console application maxima normal start and notmal solve without internet.

    If I right undestand wxMaxima need loopback 127.0.0.1
    I'll send mail to fedore support about loopback.

    I hope, that developers wxMaxima make notify that wxMaxima need loopback if it seems.

     
  • Logged In: NO

    No... wxMaxima not normal start without internet, loopback interface always up ok. Only if ppp0 is down state wxMaxima can con connect to maxima.

     
  • Logged In: YES
    user_id=1179910
    Originator: NO

    Fedora users should check if the file /etc/hosts contains the following line

    127.0.0.1 localhost

    If it does not, then it needs to be added.

    Andrej

     
  • Dieter Kaiser
    Dieter Kaiser
    2009-06-07

    • status: open --> pending
     
  • Dieter Kaiser
    Dieter Kaiser
    2009-06-07

    Since the last posting there seems to be no more problems with this topic.
    Setting this bug report to out of date and pending.

    Dieter Kaiser

     
  • This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
    • status: pending --> closed